package com.xlht.xlhtproject.domain;


import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 智能投药参数设置对象 t_xinyi_medicine_param
 * 
 * @author slibra
 * @date 2024-09-09
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class TXinyiMedicineParam
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 加药泵（0 1号泵 ；1 2号泵 ；2 3号泵） */
    private Long numberBeng;

    /** 加药方式(0自动 1一号池 2二号池 3人工投放) */
    private Long type;

    /** 进水流量类型（0手动 1仪表） */
    private Long jsLlType;

    /** 进水流量1号池 */
    private BigDecimal jsLlOne;

    /** 进水流量2号池 */
    private BigDecimal jsLlTwo;

    /** 进水cod类型（0手动 1仪表 2化验） */
    private Long jsCodType;

    /** 进水cod1号池 */
    private BigDecimal jsCodOne;

    /** 进水cod二号池 */
    private BigDecimal jsCodTwo;

    /** 好氧池硝酸盐类型（0手动 1化验 2预测） */
    private Long hycXsyType;

    /** 好氧池硝酸盐1号池 */
    private BigDecimal hycXsyOne;

    /** 好氧池硝酸盐二号池 */
    private BigDecimal hycXsyTwo;

    /** 缺氧池硝酸盐类型（0手动 1化验） */
    private Long qycYxyType;

    /** 缺氧池硝酸盐1号池 */
    private BigDecimal qycYxyOne;

    /** 缺氧池硝酸盐2号池 */
    private BigDecimal qycYxyTwo;

    /** 缺氧池氨氮类型（0手动 1化验） */
    private Long qycAdType;

    /** 缺氧池氨氮1号池 */
    private BigDecimal qycAdOne;

    /** 缺氧池氨氮二号池 */
    private BigDecimal qycAdTwo;

    /** 进水总氮类型（0手动 1仪表） */
    private Long jsTnType;

    /** 进水总氮1号池 */
    private BigDecimal jsTnOne;

    /** 进水总氮2号池 */
    private BigDecimal jsTnTwo;

    /** 后台反馈设定 */
    private BigDecimal htfksd;

    /** 基准系数 */
    private BigDecimal jzxs;

    /** 修正系数 */
    private BigDecimal xzxs;

    /** 控制系数 */
    private BigDecimal kzxs;

    /** 水量分配系数 */
    private BigDecimal slfpxs;

    /** 碳源当量 */
    private BigDecimal tydl;

    /** 转换系数 */
    private BigDecimal zhxs;

    /** 稀释配属 */
    private BigDecimal sxps;

    /** 药剂密度 */
    private BigDecimal yymd;

    /** 最小启动流量 */
    private BigDecimal zxqdll;

    /** 碳氮比 */
    private BigDecimal tdb;

    /** 加药量 */
    private BigDecimal medicineAmount;

    /** 删除标志（0代表存在 2代表删除） */
    private Long delFlag;

    /** 乐观锁 */
    private Long revision;

    //额外查询的字段
    //碳源投加瞬时流量
    private BigDecimal tytjTransientLL;




    /** 创建者 */
    private String createBy;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /** 更新者 */
    private String updateBy;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    /** 备注 */
    private String remark;

    //请求参数

    /**  开始时间 */
    private String timeBegin;

    /** 截止时间 */
    private String timeEnd;
}
